Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231071 - CVE-2007-1217 Overflow in CAPI subsystem
Summary: CVE-2007-1217 Overflow in CAPI subsystem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Don Howard
QA Contact: Martin Jenner
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
: 402761 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 22:18 UTC by Marcel Holtmann
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

Fixed In Version: RHSA-2007-0673
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-08 18:54:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
BZ 230563 RHEL 2.1AS ia64 patch, only compilation tested, need to test with real hardware (deleted)
2007-04-06 10:59 UTC, Radovan Augustin
no flags Details | Diff
CVS repository patch, adds CONFIG_CAPI_TRACE option (deleted)
2007-04-06 11:00 UTC, Radovan Augustin
no flags Details
CVS repository patch, adds CONFIG_CAPI_TRACE option (deleted)
2007-04-06 11:00 UTC, Radovan Augustin
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0673 normal SHIPPED_LIVE Important: kernel security update 2007-08-08 18:54:27 UTC

Description Marcel Holtmann 2007-03-05 22:18:31 UTC
The bufprint routine used by capi_cmsg2str does an unbounded vsprintf into a
8192 byte buffer, perhaps hoping it's big enough.

If the content of that vsprintf can be controlled by remote peers, this may lead
to a remote security hole for daemons using CAPI (pppd-capi-plugin,
asterisk-chan-capi, capi4hylafax, ...). Or a DoS.

If the content of that vsprintf can be controlled by local users making use of a
system service (such as sending a fax, making a phone call, ...) that uses CAPI,
this is a privilege escalation or remote authenticated user security hole, or a DoS.

Comment 3 Radovan Augustin 2007-04-06 10:59:23 UTC
Created attachment 151863 [details]
BZ 230563 RHEL 2.1AS ia64 patch, only compilation tested, need to test with real hardware

Comment 4 Radovan Augustin 2007-04-06 11:00:27 UTC
Created attachment 151865 [details]
CVS repository patch, adds CONFIG_CAPI_TRACE option

Comment 5 Radovan Augustin 2007-04-06 11:00:34 UTC
Created attachment 151866 [details]
CVS repository patch, adds CONFIG_CAPI_TRACE option

Comment 6 Don Howard 2007-07-07 06:36:19 UTC
A patch addressing this issue has been included in kernel-2.4.18-e.65.

Comment 9 Red Hat Bugzilla 2007-08-08 18:54:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0673.html


Comment 10 Jan Lieskovsky 2007-11-29 14:05:41 UTC
*** Bug 402761 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.